All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.memberproperties
Class MemberPropertiesSelectorOLAPDataSource

    com.sas.dataselectors.memberproperties.MemberPropertiesSelectorOLAPDataSource

All Implemented Interfaces:
  MemberPropertiesSelectorDataSourceInterface

    public class MemberPropertiesSelectorOLAPDataSource

implements MemberPropertiesSelectorDataSourceInterface

Implements the model-type-specific methods and properties required by the adapter of the MemberPropertiesSelector.

The MemberPropertiesSelectorInterface adapter implements the logic related to the business rules for the selector and delegates all the model based operations to its dataSource object

Since:
  3.1.4
See Also:
  `MemberPropertiesSelectorInterface`, `MemberPropertiesSelector`, `MemberPropertiesSelectorPanel`

Field Summary
`protected com.sas.iquery.intelligentquery.BusinessQueryProviderInterface` | `model` The BusinessQueryProviderInterface used by the dataSource.

Constructor Summary
`MemberPropertiesSelectorOLAPDataSource()` Default constructor.
`MemberPropertiesSelectorOLAPDataSource(com.sas.iquery.intelligentquery.BusinessQueryProviderInterface model)` BusinessQueryProviderInterface Constructor.

Method Summary
`void` | `addItem(MemberPropertyItem itemInfo)` Adds a member property with the information specified by the MemberPropertyItem argument.
`void` | `commit()` Commits the new set of member properties to the model.
`java.util.List` | `getAvailableProperties()` Returns a list of NodeInfo objects corresponding to Dimensions that have member properties avaiable on at least one of their Levels.
`java.util.Locale` | `getLocale()` Returns the locale
`protected com.sas.iquery.intelligentquery.BusinessQueryProviderInterface` | `getModel()` Returns the BusinessQueryProviderInterface that contains the data.
`java.util.List` | `getProperties()` Returns a list of NodeInfo objects corresponding to Dimensions that have member properties currently applied on at least one of their Levels.
`void` | `removeAllItems()` Removes all the member properties currently applied on the datasource.
`void` | `setLocale(java.util.Locale locale)` Sets the locale
`protected void` | `setModel(com.sas.iquery.intelligentquery.BusinessQueryProviderInterface model)` Sets the BusinessQueryProviderInterface that contains the data.

Field Detail

### model

    protected com.sas.iquery.intelligentquery.BusinessQueryProviderInterface model

  The BusinessQueryProviderInterface used by the dataSource.

Constructor Detail

### MemberPropertiesSelectorOLAPDataSource

    public MemberPropertiesSelectorOLAPDataSource()

  Default constructor.

### MemberPropertiesSelectorOLAPDataSource

    public MemberPropertiesSelectorOLAPDataSource(com.sas.iquery.intelligentquery.BusinessQueryProviderInterface model)

  BusinessQueryProviderInterface Constructor.

Method Detail

### setModel

    protected void setModel(com.sas.iquery.intelligentquery.BusinessQueryProviderInterface model)

  Sets the BusinessQueryProviderInterface that contains the data.

  Parameters:
    `model` - the BusinessQueryProviderInterface

### getModel

    protected com.sas.iquery.intelligentquery.BusinessQueryProviderInterface getModel()

  Returns the BusinessQueryProviderInterface that contains the data.

  Returns:
    the BusinessQueryProviderInterface that contains the data.

### getAvailableProperties

    public java.util.List getAvailableProperties()

  Returns a list of NodeInfo objects corresponding to Dimensions that have member properties avaiable on at least one of their Levels.

  Specified by:
    `getAvailableProperties` in interface `MemberPropertiesSelectorDataSourceInterface`
  Returns:
    the list of NodeInfo objects.
  Throws:
    `Throws` - `RuntimeException` if operation fails.
  See Also:
    `NodeInfo`

### getProperties

    public java.util.List getProperties()

  Returns a list of NodeInfo objects corresponding to Dimensions that have member properties currently applied on at least one of their Levels.

  Specified by:
    `getProperties` in interface `MemberPropertiesSelectorDataSourceInterface`
  Returns:
    the list of NodeInfo objects.
  Throws:
    `Throws` - `RuntimeException` if operation fails.
  See Also:
    `NodeInfo`

### commit

    public void commit()

  Commits the new set of member properties to the model.

  Specified by:
    `commit` in interface `MemberPropertiesSelectorDataSourceInterface`
  Throws:
    `Throws` - `RuntimeException` if operation fails.

### addItem

    public void addItem(MemberPropertyItem itemInfo)

  Adds a member property with the information specified by the MemberPropertyItem argument.

  Specified by:
    `addItem` in interface `MemberPropertiesSelectorDataSourceInterface`
  Parameters:
    `itemInfo` - the information about the new fractional item.
  Throws:
    `Throws` - `RuntimeException` if operation fails.

### removeAllItems

    public void removeAllItems()

  Removes all the member properties currently applied on the datasource.

  Specified by:
    `removeAllItems` in interface `MemberPropertiesSelectorDataSourceInterface`
  Throws:
    `Throws` - `RuntimeException` if operation fails.

### setLocale

    public void setLocale(java.util.Locale locale)

  Sets the locale

  Specified by:
    `setLocale` in interface `MemberPropertiesSelectorDataSourceInterface`
  Parameters:
    `locale` - The locale.

### getLocale

    public java.util.Locale getLocale()

  Returns the locale

  Specified by:
    `getLocale` in interface `MemberPropertiesSelectorDataSourceInterface`
  Returns:
    The locale.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.